Subject: linux-next: manual merge of the devicetree tree with the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 4 May 2020 13:52:50 +1000

Hi all,

Today's linux-next merge of the devicetree tree got a conflict in:

  Documentation/devicetree/bindings/display/panel/panel-common.yaml

between commit:

  92e513fb0798 ("dt-bindings: display: grammar fixes in panel/")

from the drm tree and commit:

  3d21a4609335 ("dt-bindings: Remove cases of 'allOf' containing a '$ref'")

from the devicetree tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/devicetree/bindings/display/panel/panel-common.yaml
index 17b8367f12dd,db3d270a33c6..000000000000
--- a/Documentation/devicetree/bindings/display/panel/panel-common.yaml
+++ b/Documentation/devicetree/bindings/display/panel/panel-common.yaml
@@@ -63,11 -61,10 +61,10 @@@ properties
  
    display-timings:
      description:
 -      Some display panels supports several resolutions with different timing.
 +      Some display panels support several resolutions with different timings.
        The display-timings bindings supports specifying several timings and
 -      optional specify which is the native mode.
 +      optionally specifying which is the native mode.
-     allOf:
-       - $ref: display-timings.yaml#
+     $ref: display-timings.yaml#
  
    # Connectivity
    port: